"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTailwindConfig = void 0;
const node_fs_1 = require("node:fs");
const native_1 = require("../../tailwind/native");
const with_platform_theme_1 = require("../../utils/with-platform-theme");
function getTailwindConfig(fullConfigPath, options) {
    var _a;
    const { tailwindConfigPath } = options;
    let userConfig = {};
    if ((0, node_fs_1.existsSync)(fullConfigPath)) {
        // eslint-disable-next-line unicorn/prefer-module
        userConfig = require(fullConfigPath);
    }
    else if (tailwindConfigPath) {
        // Throw an error if configPath was set but we were unable to find it
        throw new Error(`Unable to find config ${fullConfigPath}`);
    }
    const mergedConfig = {
        ...userConfig,
        plugins: [(0, native_1.nativePlugin)(options), ...((_a = userConfig.plugins) !== null && _a !== void 0 ? _a : [])],
    };
    return (0, with_platform_theme_1.withPlatformTheme)(mergedConfig);
}
exports.getTailwindConfig = getTailwindConfig;
