import { PluginCreator } from "postcss";
import { StyleRecord, StyleError, AtRuleTuple } from "../types/common";
declare const atRuleSymbol: unique symbol;
declare module "postcss" {
    abstract class Container {
        [atRuleSymbol]: AtRuleTuple[];
    }
}
export interface PostcssPluginOptions {
    important?: boolean | string;
    output?: string;
    platform?: string;
    done?: (options: {
        styles: StyleRecord;
        errors: StyleError[];
    }) => void;
}
export declare const plugin: PluginCreator<PostcssPluginOptions>;
export default plugin;
