"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const finderRegex = /(-?.+)(vw|vh)\b/;
const processed = Symbol("processed");
const plugin = () => {
    return {
        postcssPlugin: "tailwindcss-react-native-viewport-units",
        Rule(rule, { AtRule }) {
            if (rule[processed])
                return;
            rule.walkDecls((decl) => {
                const matches = decl.value.match(finderRegex);
                if (matches) {
                    const dynamicStyle = new AtRule({
                        name: "dynamic-style",
                        params: matches[2],
                        nodes: [
                            {
                                selector: rule.selector,
                                nodes: [
                                    {
                                        prop: decl.prop,
                                        value: matches[1],
                                    },
                                ],
                            },
                        ],
                    });
                    dynamicStyle[processed] = true;
                    rule.replaceWith(dynamicStyle);
                }
            });
        },
    };
};
plugin.postcss = true;
exports.default = plugin;
