"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TailwindProvider = void 0;
const react_1 = __importDefault(require("react"));
const platform_1 = require("./context/platform");
const color_scheme_1 = require("./context/color-scheme");
const device_media_1 = require("./context/device-media");
const style_sheet_1 = require("./context/style-sheet");
function TailwindProvider(_a) {
    var _b;
    var { styles = globalThis.tailwindcss_react_native_style, media = (_b = globalThis.tailwindcss_react_native_media) !== null && _b !== void 0 ? _b : {}, initialColorScheme, preview, platform, children, } = _a;
    const stylesheet = { styles, media };
    return (react_1.default.createElement(platform_1.PlatformProvider, { preview: preview, platform: platform },
        react_1.default.createElement(color_scheme_1.ColorSchemeProvider, { initialColorScheme: initialColorScheme },
            react_1.default.createElement(style_sheet_1.StyleSheetContext.Provider, { value: stylesheet },
                react_1.default.createElement(device_media_1.DeviceMediaProvider, null, children)))));
}
exports.TailwindProvider = TailwindProvider;
