"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.boxShadow = void 0;
const boxShadow = ({ matchUtilities, theme }, notSupported) => {
    const themeValues = Object.entries(theme("boxShadow"));
    const elevation = theme("elevation");
    matchUtilities({
        shadow(value) {
            const size = themeValues.find(([, themeValue]) => value === themeValue);
            return size
                ? {
                    boxShadow: value,
                    elevation: elevation[size[0]],
                }
                : {
                    boxShadow: value,
                };
        },
        "shadow-inner": notSupported("shadow-inner"),
    }, { values: theme("boxShadow"), type: ["shadow"] });
};
exports.boxShadow = boxShadow;
