import { PressableProps } from "react-native";
declare module "react-native" {
    interface PressableProps {
        onHoverIn?: (event: MouseEvent) => void;
        onHoverOut?: (event: MouseEvent) => void;
    }
}
export interface Interaction extends PressableProps {
    active: boolean;
    hover: boolean;
    focus: boolean;
    onPointerDown?: PressableProps["onPressIn"];
    onPointerUp?: PressableProps["onPressOut"];
}
export interface UseInteractionOptions extends PressableProps {
    className?: string;
    isComponent: boolean;
    isParent: boolean;
    platform: string;
    preview: boolean;
}
export declare function useInteraction({ isComponent, isParent, disabled, focusable, onFocus, onBlur, onHoverIn, onHoverOut, onPressIn, onPressOut, platform, className, }: UseInteractionOptions): Interaction;
