import { MediaRecord, Style, StyleRecord } from "../../types/common";
export interface DefaultSerializedStyles {
    styles: {
        [k: string]: Style;
    };
    media: MediaRecord;
    hasPlatform: boolean;
    hasPlatformColor: boolean;
}
/**
 * The Default Serializer which separates the styles into { style, media }
 */
export declare function serializeStyles(styleRecord: StyleRecord, replacer?: (key: string, value: string) => [string, unknown]): DefaultSerializedStyles;
/**
 * Used by Jest
 *
 * Replaces platform function strings with known values
 */
export declare function testStyleSerializer(styleRecord: StyleRecord): DefaultSerializedStyles;
/**
 * Used by Babel
 *
 * Replaces platform function strings with actual platform functions
 */
export declare function babelStyleSerializer(styleRecord: StyleRecord): DefaultSerializedStyles;
/**
 * Used by Post CSS
 *
 * Replaces platform function strings with actual platform functions
 */
export declare function postCSSSerializer(styleRecord: StyleRecord): {
    hasPlatform: boolean;
    hasPlatformColor: boolean;
    style: string;
    media: string;
};
